Bug 106645 - [GTK3] libreoffice scrollbar with gtk3 is too wide.
Summary: [GTK3] libreoffice scrollbar with gtk3 is too wide.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-03-19 18:27 UTC by Hussam Al-Tayeb
Modified: 2017-03-29 12:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Libreoffice scrollbar vs Gnome-terminal scrollbar. (12.85 KB, image/png)
2017-03-19 18:27 UTC, Hussam Al-Tayeb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2017-03-19 18:27:54 UTC
Created attachment 132015 [details]
Libreoffice scrollbar vs Gnome-terminal scrollbar.

Notice the attached screenshot.
The scrollbar in gnome-terminal is around two thirds the width of the scrollbar in libreoffice.

Ideally native overlay scollbars would have been nice but for now matching the width of native ones would provide visual improvements.

Note: I am using gtk+ 3.22.10 with the default gtk3 theme (Adwaita).
Third party themes not written by Gnome may look different.
Comment 1 Xisco Faulí 2017-03-21 18:18:59 UTC
it seems LibreOffice uses the same scroll width across all platforms.
@Caolan: is it possible/do we want to have a different scroll width among platforms?
Comment 2 Caolán McNamara 2017-03-21 21:28:58 UTC
It should be possible, i.e. see SetScrollBarSize in vcl/unx/gtk3/gtk3salnativewidgets-gtk.cxx presumably that needs to be updated/fixed in some fashion
Comment 3 Hussam Al-Tayeb 2017-03-22 09:44:28 UTC
Maybe the rounding at the top and bottom edges of the scroll bar can be improved as well. The native one is more smooth.
Comment 4 Commit Notification 2017-03-22 17:08:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa5d6f5acbab12b1ba76365f776ba228ba5e7e0e

Resolves: tdf#106645 gtk3 scrollbar is too wide

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-03-22 17:08:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b7c35b4b7fd5a5347a3602f110d78e1019a54e9

Related: tdf#106645 make gtk3 scrollbar themes with arrows work

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-29 12:31:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97a036e5a4b410b3f260a27566c695ac801b7ffb&h=libreoffice-5-3

Resolves: tdf#106645 gtk3 scrollbar is too wide

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.